io.vertx.json.schema.common

## Class BaseCombinatorsValidator

- java.lang.Object
- - io.vertx.json.schema.common.BaseMutableStateValidator
  - - io.vertx.json.schema.common.BaseCombinatorsValidator

- All Implemented Interfaces:
    AsyncValidator, DefaultApplier, MutableStateValidator, PriorityGetter, SyncValidator, Validator

      public abstract class BaseCombinatorsValidator
      extends BaseMutableStateValidator
      implements DefaultApplier

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SchemaInternal[]` | `schemas`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseCombinatorsValidator(MutableStateValidator parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Future<Void>` | `applyDefaultValue(Object obj)`
    `boolean` | `calculateIsSync()`

    - ### Methods inherited from class io.vertx.json.schema.common.BaseMutableStateValidator

      `checkSync, getParent, getPriority, initializeIsSync, isSync, triggerUpdateIsSync, validateSyncAsAsync`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.json.schema.common.AsyncValidator

      `validateAsync`

    - ### Methods inherited from interface io.vertx.json.schema.common.SyncValidator

      `validateSync`

- - ### Field Detail

    - #### schemas

          protected SchemaInternal[] schemas

  - ### Constructor Detail

    - #### BaseCombinatorsValidator

          public BaseCombinatorsValidator(MutableStateValidator parent)

  - ### Method Detail

    - #### calculateIsSync

          public boolean calculateIsSync()

      Specified by:
        `calculateIsSync` in class `BaseMutableStateValidator`

    - #### applyDefaultValue

          public Future<Void> applyDefaultValue(Object obj)

      Specified by:
        `applyDefaultValue` in interface `DefaultApplier`

Copyright © 2022 Eclipse. All rights reserved.